{
  cooldown: 0.0,
  areas: [
    {
      name: "ANYWHERE",
      rect: { x: 0, y: 0, w: 100, h: 100 },
      activeAreaColor: "0x1c1c1cff",
      areaColor: "0x1c1c1cff",
      isEnterable: 1
    },
    {
      name: "TITLE",
      rect: { x: 20, y: 0, w: 60, h: 8 },
      areaColor: "",
      activeAreaColor: "",
      model: "EDIT SETTINGS MENU",
      material: "0xd5d5d5ff, 4, PICK-TITLE, 4",
      isEnterable: 0
    },
    {
      name: "GROUP_DESC",
      rect: { x: 55, y: 10, w: 40, h: 65 },
      areaColor: "0x333333ff",
      model: "[GRP_DESC]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 0
    },
    {
      name: "GROUP0",
      rect: { x: 5, y: 15, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "[GROUP0]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "GROUP1",
      rect: { x: 5, y: 25, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "[GROUP1]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "GROUP2",
      rect: { x: 5, y: 35, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "[GROUP2]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "GROUP3",
      rect: { x: 5, y: 45, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "[GROUP3]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "GROUP4",
      rect: { x: 5, y: 55, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "[GROUP4]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "GROUP5",
      rect: { x: 5, y: 65, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "[GROUP5]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "QUIT",
      rect: { x: 5, y: 80, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "QUIT",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "EXIT",
      rect: { x: 5, y: 90, w: 45, h: 8 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "SAVE & EXIT",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
  ],
  switches: [
    {
      areas: [ "ANYWHERE" ],
      triggers: [
       { triggerType: KEY,   key:         "w" },
       { triggerType: KEY,   key:         "s" },
       { triggerType: KEY,   key:         "KEY_UP" },
       { triggerType: KEY,   key:         "KEY_DOWN" },
       { triggerType: KEY,   key:         "KEY_RETURN" },
       { triggerType: KEY,   key:         "KEY_SPACE" },
       { triggerType: JPAD,  jpadFlag:    UP },
       { triggerType: JPAD,  jpadFlag:    DN },
       { triggerType: JPAD,  jpadFlag:    DPAD_UP },
       { triggerType: JPAD,  jpadFlag:    DPAD_DN },
       { triggerType: JPAD,  jpadFlag:    B1 },
       { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [ { id: "GOTO_AREA", info: "GROUP0" } ] }
    },
    {
      areas: [ "GROUP0","GROUP1","GROUP2","GROUP3","GROUP4","GROUP5","QUIT","EXIT" ],
      triggers: [
        { triggerType: KEY,   key:         "w" },
        { triggerType: KEY,   key:         "KEY_UP" },
        { triggerType: JPAD,  jpadFlag:    UP },
        { triggerType: JPAD,  jpadFlag:    DPAD_UP },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN",
                           info: "GROUP-PREV: [AREA_NAME] : GROUP0,GROUP1,GROUP2,GROUP3,GROUP4,GROUP5,QUIT,EXIT" } ] }
    },
    {
      areas: [ "GROUP0","GROUP1","GROUP2","GROUP3","GROUP4","GROUP5","QUIT","EXIT" ],
      triggers: [
        { triggerType: KEY,   key:         "s" },
        { triggerType: KEY,   key:         "KEY_DOWN" },
        { triggerType: JPAD,  jpadFlag:    DN },
        { triggerType: JPAD,  jpadFlag:    DPAD_DN },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN",
                           info: "GROUP-NEXT: [AREA_NAME] : GROUP0,GROUP1,GROUP2,GROUP3,GROUP4,GROUP5,QUIT,EXIT" } ] }
    },
    {
      areas: [ "GROUP0","GROUP1","GROUP2","GROUP3","GROUP4","GROUP5","QUIT","EXIT" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press:       [ { id: "LOGIC_RETURN", info: "GROUP-PICK: [AREA_NAME]" } ] }
    },
    {
      areas: [ "ANYWHERE", "GROUP0","GROUP1","GROUP2","GROUP3","GROUP4","GROUP5","EXIT" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_ESCAPE" },
      ],
      delays: { },
      actions: { press:       [ { id: "GOTO_AREA", info: "QUIT" } ] }
    },
    {
      areas: [ "QUIT" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_ESCAPE" },
      ],
      delays: { },
      actions: { press:       [ { id: "LOGIC_RETURN", info: "QUIT" } ] }
    },
  ]
}
